Subject: [nfsv4] High-priority items for discussion at IETF 105, take 2

From: David Noveck <[email-masked]>
Date: Mon, 1 Jul 2019 15:23:04 -0400

Although we have decided to meet in Montreal, have a (two-hour) session
scheduled, and Chuck and I have sent lists of proposed topics to the group,
we need to get an agenda together for the meeting.   Chuck and I have
discussed what we feel are the high-priority topics for discusion at the
meeting.   I previously sent out an incomplete preliminary agenda.   Since
then, there have been a few updates, so I'm sending the updated list of
items.   In any case, we still need to hear from:

   - Anyone who knows of additional high-priority items to be added the
   list.
   - Anyone who feels that we should *not *be talking about any of the
   items currently on the list

It looks like there will be additional time available.   If people have
worthwhile items to discuss that are not high-priority, they should send
messages to the list and assess interest.   If there are too many to fit,
the working group can express its priorities.  If we still wind up with
available time when IETF105 rolls around, we can open up the meeting for
whatever people would like to bring up.

--------------------------------------------------------------------------------------------------------

*Agenda Bashing -- All -- 5 min.*

*Current updates* *to NFSv4 spec -- D. Noveck -- 20 min.*

This will cover the following documents

   - RFC8587 (*NFS Version 4.0 Trunking Update*): It makes sense to discuss
   this together with the document below since the trunking-related updates
   for both NFSv4.0 and NFSv4.1 are pretty much the same, even though one is
   cuurrently an RFC, while the other will probably not be when we meet.
   - draft-ietf-nfsv4-rfc5661sesqui-msns (*Network File System (NFS)
   Version 4 Minor Version 1 Protocol*): This provides updates to NFSv4.1
   dealing with trunking and transparent state migration.  There will be a
   discussion regarding the state of the approval/publication process.

*Review of Current Working group Milestones -- D. Noveck -- 20 min.*

This will cover all of our current miilestones.   In two cases, the
milestones gave already been achieved.

There are six items that have not yet been achieved that still need to be
discussed:

   - Submit final document describing use of NVMe in accessing a pNFS SCSI
   Layout (as Proposed Standard)

No current document but still has working group interest. Probably should
not be a milestone. Need a plan to go forward with this.

   - Submit Final documents descibing NFSv4.1 trunking discovery and
   NFSv4.1 Transpaent state migration (two milestones neing addressed by one
   document)

This is now addressed in the working group document,
draft-ietf-nfsv4-rfc5661sesqui-msns
(*Network File System (NFS) Version 4 Minor Version 1 Protocol*):.
Discussed in detail in another talk.

   - Submit final document describing CM private data convention for
   RPC-over-RDMA version 1 (Informational)

This is now a working group document
draft-ietf-nfsv4-rpcrdma-cm-pvt-data (*RDMA
Connection Manager Private Data For RPC-Over-RDMA Version 1*).  It is on
its way to IESG consideration.

   - Submit final document describing RDMA Layout for pNFS.

No current document but still has working group interest. Possibly  should
not be a milestone. Need a plan to go forward with this.

   - Submit final document defining RPC-over-RDMA Version 2 (as Proposed
   Standard)

This is now an I-D, draft-cel-nfsv4-rpcrdma-version-two (*RPC-over-RMA
Version Two Protocol*). This will be discussed in one of the additional
talks.

*RPC-TLS and related security work -- C.Lever -- 15 min.*

This will be primarily focused on draft-etf-nfsv4-rpc-tls (*Remote
Procedure Call Encryption by Deafault)* but we also want to discuss the
potential need for other documents such as an NFSv4-focused document and
documents relating to QUIC.

*Moving Forward on Integrity Measurement Draft -- C. Lever -- 10 min.*

Time for discussion of the future of
draft-ietf-nfsv4-integrity-measurement (*Integrity Measurement for Network
File System version 4*) and possible objection/issues with that draft.

*RPC-over-RDMA Version 2 -- C. Lever -- 10 min.*

Discussion of current atatus and what is necessary to go forward with this
document.

*Proposed Plans for rfc5661bis -- D. Noveck -- 15 min.*

Will discuss updates that need to be done to provide a reasonably current
description of NFSv4.1.   The assumption is that the bis RFC document will
be based  on draft-ietf-nfsv4-rfc5661-msns-update (*NFS Version 4.1 Update
for Multi-Server Namespace*) coverted, as the IESG appears to want, into a
bis-like format but that the following additional changes would need to be
added:

   - Updates to reflect the changes Tom made to pNFS mapping type
   requirements in RFC8434.
   - Changes to avoid the NFSv4.1 specification contradicting RFC8178.
   - A new internationalization section modeled on that in RFC7530
   - A new Security Considerations section that meets the requirements of
   RFC3552 and reflect the changes/advances made my the security work now
   underway.
   - Current erratta.
   - Anything else people think needs to be fixed in the NFSv4.1
   specification.

We can also consider alternate plans to provide more current NFSv4.1
specification documents.
_____________________________________________________________________________

I'd like to mention that, for those unable to be in Montreal on the week of
7/20, remote participation will be available, even for people who want to
present a talk.   Time zones can be a drag, but it is well worth
considering remote presentation if you have something you think the working
group needs to  hear.

---

From: <[email-masked]>
Date: Mon, 1 Jul 2019 22:03:58 +0000

I also asked for 10 minutes to present my draft. I sent the request to Spencer. Didn’t get any confirmation yet. Thank you

./Sorin

From: nfsv4 <[email-masked]> On Behalf Of David Noveck
Sent: Monday, July 1, 2019 3:23 PM
To: NFSv4
Subject: [nfsv4] High-priority items for discussion at IETF 105, take 2

[EXTERNAL EMAIL]
Although we have decided to meet in Montreal, have a (two-hour) session scheduled, and Chuck and I have sent lists of proposed topics to the group, we need to get an agenda together for the meeting.   Chuck and I have discussed what we feel are the high-priority topics for discusion at the meeting.   I previously sent out an incomplete preliminary agenda.   Since then, there have been a few updates, so I'm sending the updated list of items.   In any case, we still need to hear from:
·  Anyone who knows of additional high-priority items to be added the list.
·  Anyone who feels that we should not be talking about any of the items currently on the list
It looks like there will be additional time available.   If people have worthwhile items to discuss that are not high-priority, they should send messages to the list and assess interest.   If there are too many to fit, the working group can express its priorities.  If we still wind up with available time when IETF105 rolls around, we can open up the meeting for whatever people would like to bring up.

Agenda Bashing -- All -- 5 min..

Current updates to NFSv4 spec -- D. Noveck -- 20 min.

This will cover the following documents
·  RFC8587 (NFS Version 4.0 Trunking Update): It makes sense to discuss this together with the document below since the trunking-related updates for both NFSv4.0 and NFSv4.1 are pretty much the same, even though one is cuurrently an RFC, while the other will probably not be when we meet.
·  draft-ietf-nfsv4-rfc5661sesqui-msns (Network File System (NFS) Version 4 Minor Version 1 Protocol): This provides updates to NFSv4.1 dealing with trunking and transparent state migration.  There will be a discussion regarding the state of the approval/publication process.
Review of Current Working group Milestones -- D. Noveck -- 20 min.

This will cover all of our current miilestones.   In two cases, the milestones gave already been achieved.

There are six items that have not yet been achieved that still need to be discussed:
·  Submit final document describing use of NVMe in accessing a pNFS SCSI Layout (as Proposed Standard)
No current document but still has working group interest. Probably should not be a milestone. Need a plan to go forward with this.
·  Submit Final documents descibing NFSv4.1 trunking discovery and NFSv4.1 Transpaent state migration (two milestones neing addressed by one document)
This is now addressed in the working group document, draft-ietf-nfsv4-rfc5661sesqui-msns (Network File System (NFS) Version 4 Minor Version 1 Protocol):. Discussed in detail in another talk.
·  Submit final document describing CM private data convention for RPC-over-RDMA version 1 (Informational)
This is now a working group document draft-ietf-nfsv4-rpcrdma-cm-pvt-data (RDMA Connection Manager Private Data For RPC-Over-RDMA Version 1).  It is on its way to IESG consideration.
·  Submit final document describing RDMA Layout for pNFS.
No current document but still has working group interest. Possibly  should not be a milestone. Need a plan to go forward with this.
·  Submit final document defining RPC-over-RDMA Version 2 (as Proposed Standard)
This is now an I-D, draft-cel-nfsv4-rpcrdma-version-two (RPC-over-RMA Version Two Protocol). This will be discussed in one of the additional talks.

RPC-TLS and related security work -- C.Lever -- 15 min.

This will be primarily focused on draft-etf-nfsv4-rpc-tls (Remote Procedure Call Encryption by Deafault) but we also want to discuss the potential need for other documents such as an NFSv4-focused document and documents relating to QUIC.

Moving Forward on Integrity Measurement Draft -- C. Lever -- 10 min.

Time for discussion of the future of  draft-ietf-nfsv4-integrity-measurement (Integrity Measurement for Network File System version 4) and possible objection/issues with that draft.

RPC-over-RDMA Version 2 -- C. Lever -- 10 min.

Discussion of current atatus and what is necessary to go forward with this document.

Proposed Plans for rfc5661bis -- D. Noveck -- 15 min.

Will discuss updates that need to be done to provide a reasonably current description of NFSv4.1.   The assumption is that the bis RFC document will be based  on draft-ietf-nfsv4-rfc5661-msns-update (NFS Version 4.1 Update for Multi-Server Namespace) coverted, as the IESG appears to want, into a bis-like format but that the following additional changes would need to be added:
·  Updates to reflect the changes Tom made to pNFS mapping type requirements in RFC8434.
·  Changes to avoid the NFSv4.1 specification contradicting RFC8178.
·  A new internationalization section modeled on that in RFC7530
·  A new Security Considerations section that meets the requirements of RFC3552 and reflect the changes/advances made my the security work now underway.
·  Current erratta.
·  Anything else people think needs to be fixed in the NFSv4.1 specification.
We can also consider alternate plans to provide more current NFSv4.1 specification documents.
_____________________________________________________________________________

I'd like to mention that, for those unable to be in Montreal on the week of 7/20, remote participation will be available, even for people who want to present a talk.   Time zones can be a drag, but it is well worth considering remote presentation if you have something you think the working group needs to  hear.

---

From: Tom Haynes <[email-masked]>
Date: Tue, 2 Jul 2019 09:18:57 -0700

Hmm, I also asked for presentation time….

> On Jul 1, 2019, at 12:23 PM, David Noveck <[email-masked]> wrote:
> 
> Anyone who knows of additional high-priority items to be added the list.
> Anyone who feels that we should not be talking about any of the items currently on the list
> RFC8587 (NFS Version 4.0 Trunking Update): It makes sense to discuss this together with the document below since the trunking-related updates for both NFSv4.0 and NFSv4.1 are pretty much the same, even though one is cuurrently an RFC, while the other will probably not be when we meet.
> draft-ietf-nfsv4-rfc5661sesqui-msns (Network File System (NFS) Version 4 Minor Version 1 Protocol): This provides updates to NFSv4.1 dealing with trunking and transparent state migration.  There will be a discussion regarding the state of the approval/publication process.
> Submit final document describing use of NVMe in accessing a pNFS SCSI Layout (as Proposed Standard)
> Submit Final documents descibing NFSv4.1 trunking discovery and NFSv4.1 Transpaent state migration (two milestones neing addressed by one document)
> Submit final document describing CM private data convention for RPC-over-RDMA version 1 (Informational)
> Submit final document describing RDMA Layout for pNFS.
> Submit final document defining RPC-over-RDMA Version 2 (as Proposed Standard)
> Updates to reflect the changes Tom made to pNFS mapping type requirements in RFC8434.
> Changes to avoid the NFSv4.1 specification contradicting RFC8178.
> A new internationalization section modeled on that in RFC7530
> A new Security Considerations section that meets the requirements of RFC3552 and reflect the changes/advances made my the security work now underway. 
> Current erratta.
> Anything else people think needs to be fixed in the NFSv4.1 specification.
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4

---

From: spencer shepler <[email-masked]>
Date: Tue, 2 Jul 2019 13:23:47 -0400

Thanks everyone. I am vacation this week but will pull things together once
I am back.

Spencer

On Tue, Jul 2, 2019 at 12:19 PM Tom Haynes <[email-masked]> wrote:

> *Agenda Bashing -- All -- 5 min..*
>
>    - RFC8587 (*NFS Version 4.0 Trunking Update*): It makes sense to
>    discuss this together with the document below since the trunking-related
>    updates for both NFSv4.0 and NFSv4.1 are pretty much the same, even though
>    one is cuurrently an RFC, while the other will probably not be when we meet.
>    - Submit final document describing use of NVMe in accessing a pNFS
>    SCSI Layout (as Proposed Standard)
>
> This is now addressed in the working group document, draft-ietf-nfsv4-rfc5661sesqui-msns
> This is now a working group document draft-ietf-nfsv4-rpcrdma-cm-pvt-data (*RDMA
> draft-ietf-nfsv4-integrity-measurement (*Integrity Measurement for
> Network File System version 4*) and possible objection/issues with that
> draft.
>
> be based  on draft-ietf-nfsv4-rfc5661-msns-update (*NFS Version 4.1
> Update for Multi-Server Namespace*) coverted, as the IESG appears to
> want, into a bis-like format but that the following additional changes
> would need to be added:
>
> I'd like to mention that, for those unable to be in Montreal on the week
> of 7/20, remote participation will be available, even for people who want
> to present a talk.   Time zones can be a drag, but it is well worth

---

From: <[email-masked]>
Date: Mon, 15 Jul 2019 18:34:25 +0000

I see there was no time for my draft to be presented.

From: nfsv4 <[email-masked]> On Behalf Of spencer shepler
Sent: Tuesday, July 2, 2019 1:24 PM
To: Tom Haynes
Cc: NFSv4
Subject: Re: [nfsv4] High-priority items for discussion at IETF 105, take 2

[EXTERNAL EMAIL]

Thanks everyone. I am vacation this week but will pull things together once I am back.

Spencer

On Tue, Jul 2, 2019 at 12:19 PM Tom Haynes <[email-masked]<mailto:[email-masked]>> wrote:
Hmm, I also asked for presentation time….

On Jul 1, 2019, at 12:23 PM, David Noveck <[email-masked]<mailto:[email-masked]>> wrote:

I'd like to mention that, for those unable to be in Montreal on the week of 7/20, remote participation will be available, even for people who want to present a talk..   Time zones can be a drag, but it is well worth considering remote presentation if you have something you think the working group needs to  hear.
_______________________________________________
nfsv4 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/nfsv4

_______________________________________________
nfsv4 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/nfsv4
Dell Corporation Limited is registered in England and Wales. Company Registration Number: 2081369
Registered address: Dell House, The Boulevard, Cain Road, Bracknell,  Berkshire, RG12 1LF, UK.
Company details for other Dell UK entities can be found on  www.dell.co.uk.

---

From: David Noveck <[email-masked]>
Date: Tue, 16 Jul 2019 07:03:25 -0400

I didn't see an agenda for the working group meeting on the web.   Also,
the deadline for wg agenda submission has already passed (it was 7/15).
 This leaves Sorin and Tom uncertain about whether they will be able to
present in Montreal (or remotely if necessary).

In order to address this impasse, I'd like to propose that we base the
meeting (probably without a formal agenda) on the high-priority items that
Chuck and I came up with and sent out on July 1.  Since those only amount
to 95 minutes total, there should be time to allocate both Tom and Sorin 10
minutes each for their presentations.   In order for this to work, all
presenters, and whoever winds up chairing the meeting, will have to be
mindful of time constraints so that Sorin and Tom each get their time to
present.

On Tue, Jul 2, 2019 at 1:24 PM spencer shepler <[email-masked]>
wrote:

>>    Version 4 Minor Version 1 Protocol*): This provides updates to
>>    NFSv4.1 dealing with trunking and transparent state migration.  There will
>>    be a discussion regarding the state of the approval/publication process.
>>
>> This is now a working group document draft-ietf-nfsv4-rpcrdma-cm-pvt-data
>> (*RDMA Connection Manager Private Data For RPC-Over-RDMA Version 1*).
>> It is on its way to IESG consideration.
>>
>>
>> No current document but still has working group interest. Possibly
>> should not be a milestone. Need a plan to go forward with this.
>>
>>
>>    - A new Security Considerations section that meets the requirements
>>    of RFC3552 and reflect the changes/advances made my the security work now
>>    underway.
>>    - Current erratta.

---

From: <[email-masked]>
Date: Tue, 16 Jul 2019 11:37:25 +0000

Thank you Dave for the consideration.

./Sorin

Sent from my iPad

On Jul 16, 2019, at 7:04 AM, David Noveck <[email-masked]<mailto:[email-masked]>> wrote:

[EXTERNAL EMAIL]

I didn't see an agenda for the working group meeting on the web.   Also, the deadline for wg agenda submission has already passed (it was 7/15).   This leaves Sorin and Tom uncertain about whether they will be able to present in Montreal (or remotely if necessary).

In order to address this impasse, I'd like to propose that we base the meeting (probably without a formal agenda) on the high-priority items that Chuck and I came up with and sent out on July 1.  Since those only amount to 95 minutes total, there should be time to allocate both Tom and Sorin 10 minutes each for their presentations.   In order for this to work, all presenters, and whoever winds up chairing the meeting, will have to be mindful of time constraints so that Sorin and Tom each get their time to present.

On Tue, Jul 2, 2019 at 1:24 PM spencer shepler <[email-masked]<mailto:[email-masked]>> wrote:

Spencer

  *   Anyone who knows of additional high-priority items to be added the list.
  *   Anyone who feels that we should not be talking about any of the items currently on the list

  *   RFC8587 (NFS Version 4.0 Trunking Update): It makes sense to discuss this together with the document below since the trunking-related updates for both NFSv4.0 and NFSv4.1 are pretty much the same, even though one is cuurrently an RFC, while the other will probably not be when we meet.
  *   draft-ietf-nfsv4-rfc5661sesqui-msns (Network File System (NFS) Version 4 Minor Version 1 Protocol): This provides updates to NFSv4.1 dealing with trunking and transparent state migration.  There will be a discussion regarding the state of the approval/publication process.

  *   Submit final document describing use of NVMe in accessing a pNFS SCSI Layout (as Proposed Standard)

  *   Submit Final documents descibing NFSv4.1 trunking discovery and NFSv4.1 Transpaent state migration (two milestones neing addressed by one document)

  *   Submit final document describing CM private data convention for RPC-over-RDMA version 1 (Informational)

  *   Submit final document describing RDMA Layout for pNFS.

  *   Submit final document defining RPC-over-RDMA Version 2 (as Proposed Standard)

  *   Updates to reflect the changes Tom made to pNFS mapping type requirements in RFC8434.
  *   Changes to avoid the NFSv4.1 specification contradicting RFC8178.
  *   A new internationalization section modeled on that in RFC7530
  *   A new Security Considerations section that meets the requirements of RFC3552 and reflect the changes/advances made my the security work now underway.
  *   Current erratta.
  *   Anything else people think needs to be fixed in the NFSv4.1 specification.

---

From: spencer shepler <[email-masked]>
Date: Tue, 16 Jul 2019 08:10:16 -0700

Agenda will be out today. Apologies for the delay.

Spencer

On Tue, Jul 16, 2019 at 4:52 AM <[email-masked]> wrote:

> On Jul 16, 2019, at 7:04 AM, David Noveck <[email-masked]> wrote:
>
> [EXTERNAL EMAIL]
>
>>> No current document but still has working group interest. Probably
>>> draft-ietf-nfsv4-rpcrdma-cm-pvt-data (*RDMA Connection Manager Private
>>> Data For RPC-Over-RDMA Version 1*).  It is on its way to IESG
>>> consideration.
>>>
>>>
>>>    - Submit final document defining RPC-over-RDMA Version 2 (as
>>>    Proposed Standard)
>>>
>>> Will discuss updates that need to be done to provide a reasonably
>>> current description of NFSv4.1.   The assumption is that the bis RFC
>>> document will be based  on draft-ietf-nfsv4-rfc5661-msns-update (*NFS
>>> Version 4.1 Update for Multi-Server Namespace*) coverted, as the IESG
>>> appears to want, into a bis-like format but that the following
>>> additional changes would need to be added:
>>>